<?php
/* ------------------------------------------------------------------------ *
 * Seja Framework Version 3.0
 *
 * The template for displaying Archive pages.
 *
 * @package WordPress
 * @subpackage Seja_Framework
 * 
 * ------------------------------------------------------------------------ */

get_header(); ?>
<!-- archive.php -->
<?php seja_layout( array('type' => 'spage', 'option' => SEJA_CATEGORY_COLUMNS ) ); 

	if ( have_posts() )
		the_post();
?>
        <h1 class="page-title">
<?php 
	if ( is_day() ) :
		printf( __( 'Daily Archives: <span>%s</span>', 'seja_framework' ), get_the_date() );
	elseif ( is_month() ) :
		printf( __( 'Monthly Archives: <span>%s</span>', 'seja_framework' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'seja_framework' ) ) );
	elseif ( is_year() ) : 
		printf( __( 'Yearly Archives: <span>%s</span>', 'seja_framework' ), get_the_date( _x( 'Y', 'yearly archives date format', 'seja_framework' ) ) ); 
	else :
		_e( 'Blog Archives', 'seja_framework' );
	endif; ?>
        </h1>
<?php 
	rewind_posts();
	get_template_part( 'loop', 'archive' );
	seja_layout( array('type' => 'epage', 'option' => 'blog') );

	get_footer(); 
?>